Subject: bug#39072: 26.3; Pressing C-z in fullscreen messes all frames

From: Corwin Brust <[email-masked]>
Date: Fri, 10 Jan 2020 14:35:15 -0600

I do have several layers of weird to my windows setup.  If this isn't easy
for others to reproduce it's most likely PEBAC.  More, seems a good
probability this is something I've done to Windows rather than something
I've done to Emacs.  We can close this if no one else reports in.

It will take some time to peel them my customizations.  I can I update the
closed ticket if I have new information at that point?  My assumption is
that I won't then be able to reproduce and will only have what in my
windows setup caused this to share, so looking for the right place to put
that if it seems useful.

On Fri, Jan 10, 2020 at 12:47 PM Noam Postavsky <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Corwin Brust <[email-masked]>
> >> Date: Fri, 10 Jan 2020 11:01:54 -0600
> >>
> >> # windows 10, GNU Emacs 26.3 (msi)
> >> emacs -Q
> >> F-11 ;;now we're full-screen
> >> C-z  ;; now all frames are "locked"
> >>
> >> ...
> >>
> >> At this point, emacs won't accept keyboard input. C-g doesn't do
> anything,
> >> If there are several frames they will all be in this state.  We seem to
> be able to
> >> recover using the mouse to execute an interactive command.  In fact, I
> was
> >> able to use Help | Send Bug Report to create this message *after*
> reproducing
> >> from my -Q session -- once the mini-buffer prompt popped I was able to
> type
> >> again.
> >
> > I cannot reproduce this, but I'm not on Windows 10.  On my Windows
> > system, C-z minimizes the frame, even if it was previously maximized
> > with F11.
>
> I have a Windows 10 box, and I can't reproduce it either.
>
> In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
>  of 2019-08-29 built on CIRROCUMULUS
> Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
> Windowing system distributor 'Microsoft Corp.', version 10.0.17763
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Configured using:
>  'configure --without-dbus --host=x86_64-w64-mingw32
>  --without-compress-install 'CFLAGS=-O2 -static -g3''
>
>

-- 
*Corwin*
612-217-1742
612-298-0615 (fax)
612-695-4276 (mobile)
*corwin.brust (skype)[email-masked] <[email-masked]>*